$AdfDhtmlToolbarPeer$$.$_SUB_ID_MAP$ = {start_overflow_indicator:"soi", end_overflow_indicator:"eoi", start_overflow_container:"soc", end_overflow_container:"eoc"};
$AdfDhtmlToolbarPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlToolbarPeer$$$$$GetSubIdDomElement$$($itemValue$$5_subElementId$$54$$) {
  var $component$$1855_domElem$$21_domElement$$605$$ = this.$getComponent$();
  if($component$$1855_domElem$$21_domElement$$605$$ = $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($itemValue$$5_subElementId$$54$$, $AdfDhtmlToolbarPeer$$.$_SUB_ID_MAP$, $component$$1855_domElem$$21_domElement$$605$$)) {
    return $component$$1855_domElem$$21_domElement$$605$$
  }
  if("item[" == $itemValue$$5_subElementId$$54$$.substr(0, 5)) {
    return $component$$1855_domElem$$21_domElement$$605$$ = this.$getDomElement$(), $itemValue$$5_subElementId$$54$$ = $itemValue$$5_subElementId$$54$$.substring(5, $itemValue$$5_subElementId$$54$$.lastIndexOf("]")), $AdfDomUtils$$.$getDescendentElement$($component$$1855_domElem$$21_domElement$$605$$, "TD", parseInt($itemValue$$5_subElementId$$54$$))
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlToolbarPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlToolbarPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlToolbarPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlToolbarPeer$$$$$GetBestMatchSubId$$($childElement$$37$$) {
  var $childItems$$1$$ = this.$getDomElement$().getElementsByTagName("TD");
  for(i = 0;i < $childItems$$1$$.length;i++) {
    if($childElement$$37$$ === $childItems$$1$$[i]) {
      return"item[" + i + "]"
    }
  }
  return $AdfSubIdUtils$$.$getBestMatchSubId$($childElement$$37$$, this, $AdfDhtmlToolbarPeer$$.$_SUB_ID_MAP$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlToolbarPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlToolbarPeer$$.prototype.$GetBestMatchSubId$});
